> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-60c89f9a-mintlify-audit-missing-sections-1778528421.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Account

> **DELETE** `/v2/accounts/:account_id`

Use this endpoint to delete a sub-merchant account. Know about the [various error responses](/api/partners/errors) for this API.

### Request

````cURL: Curl theme={null}
curl -X DELETE https://api.razorpay.com/v2/accounts/acc_GXQAkO2MrvBYg4 \
-u  \
```java: Java

RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");

String accountId = "acc_GP4lfNA0iIMn5B";

Account account = instance.account.delete(accountId);

```php: PHP
$api = new Api(null, null, "");

$accountId = "acc_GP4lfNA0iIMn5B";
$api->account->delete($accountId);

```javascript: Node.js

const instance = new Razorpay({
  oauthToken: ""
);

const accountId = "acc_Q8BdU0uPXXXpqI";

instance.accounts.delete(accountId);

```ruby: Ruby

require "razorpay"
Razorpay.setup('ACCESS_TOKEN')
accountId = "acc_GP4lfNA0iIMn5B";

Razorpay::Account.delete(accountId)

```csharp: .NET
RazorpayClient client = new RazorpayClient("[ACCESS_TOKEN]");

string accountId = "acc_ua2tBezhcEBvap";

Account account = client.Account.Fetch(accountId).Delete();

````

### Response

```json: Success theme={null}
{
  "id": "acc_GXQAkO2MrvBYg4",
  "type": "standard",
  "status": "suspended",
  "email": "gaurav.kumar@acme.org",
  "profile": {
    "category": "healthcare",
    "subcategory": "clinic",
    "addresses": {
      "registered": {
        "street1": "507, Koramangala 1st block",
        "street2": "MG Road",
        "city": "Bengaluru",
        "state": "KARNATAKA",
        "postal_code": "560034",
        "country": "IN"
      },
      "operation": {
        "street1": "507, Koramangala 1st block",
        "street2": "MG Road",
        "city": "Bengaluru",
        "state": "KARNATAKA",
        "country": "IN",
        "postal_code": "560034"
      }
    },
    "business_model": "Online Clothing ( men, women, ethnic, modern ) fashion and lifestyle, accessories, t-shirt, shirt, track pant, shoes."
  },
  "notes": {
    "internal_ref_id": "123123"
  },
  "created_at": 1612425180,
  "suspended_at": 1612425235,
  "phone": "9000090000",
  "reference_id": "account_COdeRandom",
  "business_type": "partnership",
  "legal_business_name": "Acme Corp Pvt Ltd",
  "customer_facing_business_name": "Acme",
  "legal_info": {
    "pan": "AAACL1234C",
    "gst": "18AABCU9603R1ZM"
  },
  "apps": {
    "websites": [
      "https://www.acme.org"
    ],
    "android": [
      {
        "url": "playstore.acme.org",
        "name": "Acme"
      }
    ],
    "ios": [
      {
        "url": "appstore.acme.org",
        "name": "Acme"
      }
    ]
  },
  "brand": {
    "color": "#FFFFFF"
  },
  "contact_name": "Gaurav Kumar",
  "contact_info": {
    "chargeback": {
      "email": "cb@acme.org",
      "phone": "9000090000",
      "policy_url": "https://www.google.com"
    },
    "refund": {
      "email": "cb@acme.org",
      "phone": "9898989898",
      "policy_url": "https://www.google.com"
    },
    "support": {
      "email": "support@acme.org",
      "phone": "9898989898",
      "policy_url": "https://www.google.com"
    }
  }
}

```

### Parameters

`account_id` *mandatory*
: `string` The unique identifier of a sub-merchant account that must be deleted. For example, `acc_GPaClllZWaPBfv`.

### Parameters

`id`
: `string` The unique identifier of a sub-merchant account generated by Razorpay. The maximum length is 18 characters. For example, `acc_GLGeLkU2JUeyDZ`.

`type`
: `string` The account type. Possible value is `standard`.

`status`
: `string` The status of the account changes to `suspended`.

`email`
: `string` The sub-merchant's business email address.

`phone`
: `integer` The sub-merchant's business phone number. The minimum length is 8 characters and the maximum length is 15.

`legal_business_name`
: `string` The name of the sub-merchant's business. For example, `Acme Corp`. The minimum length is 4 characters and the maximum length is 200.

`customer_facing_business_name`
: `string` The sub-merchant billing label as it appears on the Dashboard. The minimum length is 1 character and the maximum length is 255. This parameter might be required to complete the KYC process. However, it is optional for this API.

`business_type`
: `string` The type of business operated by the sub-merchant. Possible values: [Business Types](/partners/aggregators/onboarding-api/appendix).

`suspended_at`
: `integer` Timestamp, in Unix format, at which the account will be suspended.

`reference_id`
: `string` Partner's external account reference id. The minimum length is 1 character and the maximum length is 512.

`profile`
: `object` The business details of the sub-merchant's account.

`category`
: `string` The business category of the sub-merchant. Possible values: [Business Category](/partners/aggregators/onboarding-api/appendix#business-category)

`subcategory`
: `string` The business sub-category of the sub-merchant. Possible values: [Business Sub-Category](/partners/aggregators/onboarding-api/appendix#business-sub-category)

`description` *deprecated*
: `string` This parameter has been deprecated. Pass the description using the `business_model` parameter.

`business_model`
: `string` The business description. The minimum length is 1 character and the maximum length is 255.

`addresses`
: `object` Details of sub-merchant's address.

`operation`
: `object` Details of the sub-merchant's operational address. This parameter might be required to complete the KYC process. However, it is optional for this API.

`street1`
: `string` Address, line 1. The maximum length is 100 characters.

`street2`
: `string` Address, line 2. The maximum length is 100 characters.

`city`
: `string` The city. The maximum length is 100 characters.

`state`
: `string` The state. The minimum length is 2 and the maximum length is 100.

`postal_code`
: `integer` The postal code. This should be exactly 6 characters.

`country`
: `string` The country. The minimum length is 2 and the maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either `IN` or `india`. [List of supported Countries](/partners/aggregators/onboarding-api/appendix#country-list).

`registered`
: `object` Details of the sub-merchant's registered address.

`street1`
: `string` Address, line 1. The maximum length is 100 characters.

`street2`
: `string` Address, line 2. The maximum length is 100 characters.

`city`
: `string` The city. The maximum length is 100 characters.

`state`
: `string` The state. The minimum length is 2 and the maximum length is 100.

`postal_code`
: `integer` The postal code. This should be exactly 6 characters.

`country`
: `string` The country. The minimum length is 2 and the maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either `IN` or `india`. [List of supported Countries](/partners/aggregators/onboarding-api/appendix#country-list).

`legal_info`
: `object` The legal details about the sub-merchant's business.

`pan`
: `string` Valid PAN number details of the sub-merchant's business.

* This is a 10-digit alphanumeric code. For example, `AVOJB1111K`.
* The 4th digit should be either of 'C', 'H', 'F', 'A', 'T', 'B', 'J', 'G', 'L'.
* The regex for Company PAN is `/^[a-zA-z]{5}\d{4}[a-zA-Z]{1}$/`.
  This parameter might be required to complete the KYC process. However, it is optional for this API.

`gst`
: `string` Valid GSTIN number details of the sub-merchant.

* This is a 15-digit PAN-based unique identification number.
* The Regex for GSTIN is `/^[0123][0-9][a-z]{5}[0-9]{4}[a-z][0-9][a-z0-9][a-z0-9]$/gi`.

`cin`
: `string` CIN is for Private Limited and Public Limited, whereas LLPIN is for LLP business type.

* This is a 21-digit alpha-numeric number.
* The Regex for CIN is `/^([a-z]{3}-\d{4}|[ul]\d{5}[a-z]{2}\d{4}[a-z]{3}\d{6})$/i`.

`brand`
: `object` The branding details of the sub-merchant's business.

`color`
: `string` The color code of sub-merchant's business brand. This is a 6-character hex code (Regex: \[a-fA-F0-9]\{6}).

`notes`
: `object` Contains user-defined fields stored by the partner for reference purposes.

`contact_name`
: `string` The name of the contact. The minimum length is 4 and the maximum length is 255 characters.

`contact_info`
: `object` Options available for contact support.

`chargeback`
: `object` The type of contact support.

`email`
: `string` The email id of chargeback POC. The maximum length is:

* local part (before @): 64 characters.
* domain part (after @): 68 characters.
  The total character length supported is 132.

`phone`
: `integer` The phone number of chargeback POC. The maximum length is 10 characters.

`policy_url`
: `string` The URL of chargeback policy. Regex is (protocol://\`\`:port/resource path?querystring#fragementid)
protocol-both http/https allowed. Only domain name is mandatory.

`refund`
: `object` The type of contact support.

`email`
: `string` The email id of refund POC. The maximum length is:

* local part (before @): 64 characters.
* domain part (after @): 68 characters.
  The total character length supported is 132.

`phone`
: `integer` The phone number of refund POC. The maximum length is 10 characters.

`policy_url`
: `string` The URL of refund policy. Regex is (protocol://\`\`:port/resource path?querystring#fragementid)
protocol-both http/https allowed.

`support`
: `array` The type of contact support.

`email`
: `string` The email id of support POC. The maximum length is:

* local part (before @): 64 characters.
* domain part (after @): 68 characters.
  The total character length supported is 132.

`phone`
: `integer` The phone number of support POC. The maximum length is 10 characters.

`policy_url`
: `string` The URL of support policy. Regex is (protocol://\`\`:port/resource path?querystring#fragementid)
protocol-both http/https allowed.

`apps`
: `object` The app details of the sub-merchant's business

`websites`
: `array` The website/app for the sub-merchant's business. A minimum of 1 website is required.

`android`
: `array` Android app details

`url`
: `string` The link of the Android app. Regex is (protocol://\`\`:port/resource path?querystring#fragementid)
protocol-both http/https allowed.

`name`
: `string` The name of the Android app.

`ios`
: `array` iOS app details

`url`
: `string` The link of the iOS app. Regex is (protocol://\`\`:port/resource path?querystring#fragementid)
protocol-both http/https allowed.

`name`
: `string` The name of the iOS app.

`activated_at`
: `integer` Unix timestamp that indicates when the merchant account was activated. This parameter has `null` value till the account is activated.

`live`
: `boolean` Indicates the payments acceptance status of the merchant account. Possible values:

* `true`:  Merchant can start accepting customer payments.
* `false`: Merchant cannot accept customer payments.

`hold_funds`
: `boolean` Indicates the settlements status of the merchant account. Possible values:

* `true`:  Settlement are on hold. Funds are not transferred to the merchant account.
* `false`: Settlements can be transferred to the merchant account.
